% Rabi Oscillation

% 28-03-2010  hannes@majer.ch

global omega omega1;

a = [1;0];
omega1 = 0.2;
omega = 1;

[T,Y] = ode45('Hamiltonian',[0 32],a);
[theta, phi] = blochAngles(Y');

disp('on resonance omega = omega0')
disp('lab frame')
blochVectorAnim(theta, phi)

disp(' ')
disp('press any key')
pause

disp('rotating frame')
blochVectorAnim(theta, phi-T')

disp(' ')
disp('press any key')
pause

omega = 1.1;
[T,Y] = ode45('Hamiltonian',[0 32],a);
[theta, phi] = blochAngles(Y');

disp('off resonance  omega = 1.1*omega0')
disp('lab frame')
blochVectorAnim(theta, phi)

disp(' ')
disp('press any key')
pause

disp('rotating frame')
blochVectorAnim(theta, phi-T'*1.1)


