% Larmor Precession

% 28-03-2010  hannes@majer.ch

%%
H = [1 0;0 -1]/2;
initState=[1 1]/sqrt(2);
time = 0:4*pi/50:4*pi;

disp('Hamiltionian:  H = [1/2  0]');
disp('                   [0   -1/2]');
disp('Initial state: 1/sqrt(2)[1 1]')

psi = unitaryEvolution(H,initState,time);
[theta, phi] = blochAngles(psi);
blochVectorAnim(theta, phi);

disp('Press any key')
pause

%%
H = [1 1;1 -1]/2;
initState=[1 0];

disp('Hamiltionian:  H = [1/2  1/2]');
disp('                   [1/2 -1/2]');
disp('Initial state: [1 0]')

psi = unitaryEvolution(H,initState,time);
[theta, phi] = blochAngles(psi);
blochVectorAnim(theta, phi);


