% Rabi's Formula

% 28-03-2010  hannes@majer.ch

omega1 = 1;

[t, domega] = meshgrid(0:3*pi/500:3*pi, -2:4/500:2);
rabi = omega1^2./(domega.^2+omega1^2).*sin(sqrt(domega.^2+omega1^2).*t).^2;

imagesc(t(1,:),domega(:,1),rabi)
xlabel('t')
ylabel('\Delta\omega')
title('Rabi''s Formula (\omega_1=1)')
colorbar